# namedDomainObjectList

abstract fun <T> namedDomainObjectList(elementType: Class<T>): NamedDomainObjectList<T>

Creates a new NamedDomainObjectList for managing named objects of the specified type.

All objects MUST expose their name as a bean property called "name". The name must be constant for the life of the object.

#### Return

The domain object list.

#### Since

6.1

#### Parameters

elementType

The type of objects for the domain object set to contain.

<T>

The type of objects for the domain object set to contain.